org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess.EventModelElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess.EventModelElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    VeplGrammarAccess

      public class VeplGrammarAccess.EventModelElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventModelElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getContextAssignment_3_1()`
    `org.eclipse.xtext.RuleCall` | `getContextContextEnumRuleCall_3_1_0()`
    `org.eclipse.xtext.Keyword` | `getContextKeyword_3_0()`
    `org.eclipse.xtext.Group` | `getGroup_3()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getImportsAssignment_2()`
    `org.eclipse.xtext.RuleCall` | `getImportsImportParserRuleCall_2_0()`
    `org.eclipse.xtext.Assignment` | `getModelElementsAssignment_4()`
    `org.eclipse.xtext.RuleCall` | `getModelElementsModelElementParserRuleCall_4_0()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getNameQualifiedNameParserRuleCall_1_0()`
    `org.eclipse.xtext.Keyword` | `getPackageKeyword_0()`
    `org.eclipse.xtext.ParserRule` | `getRule()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventModelElements

          public EventModelElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getPackageKeyword_0

          public org.eclipse.xtext.Keyword getPackageKeyword_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameQualifiedNameParserRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameQualifiedNameParserRuleCall_1_0()

    - #### getImportsAssignment_2

          public org.eclipse.xtext.Assignment getImportsAssignment_2()

    - #### getImportsImportParserRuleCall_2_0

          public org.eclipse.xtext.RuleCall getImportsImportParserRuleCall_2_0()

    - #### getGroup_3

          public org.eclipse.xtext.Group getGroup_3()

    - #### getContextKeyword_3_0

          public org.eclipse.xtext.Keyword getContextKeyword_3_0()

    - #### getContextAssignment_3_1

          public org.eclipse.xtext.Assignment getContextAssignment_3_1()

    - #### getContextContextEnumRuleCall_3_1_0

          public org.eclipse.xtext.RuleCall getContextContextEnumRuleCall_3_1_0()

    - #### getModelElementsAssignment_4

          public org.eclipse.xtext.Assignment getModelElementsAssignment_4()

    - #### getModelElementsModelElementParserRuleCall_4_0

          public org.eclipse.xtext.RuleCall getModelElementsModelElementParserRuleCall_4_0()